curl --request GET \
--url https://test.deribit.com/api/v2/private/submit_transfer_to_user \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 9421,
"method": "private/submit_transfer_to_user",
"params": {
"currency": "ETH",
"amount": 13.456,
"destination": "0x4aa0753d798d668056920094d65321a8e8913e26"
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/submit_transfer_to_user"
payload = {
"jsonrpc": "2.0",
"id": 9421,
"method": "private/submit_transfer_to_user",
"params": {
"currency": "ETH",
"amount": 13.456,
"destination": "0x4aa0753d798d668056920094d65321a8e8913e26"
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 9421,
method: 'private/submit_transfer_to_user',
params: {
currency: 'ETH',
amount: 13.456,
destination: '0x4aa0753d798d668056920094d65321a8e8913e26'
}
})
};
fetch('https://test.deribit.com/api/v2/private/submit_transfer_to_user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 9187,
"result": {
"amount": 0.2,
"created_timestamp": 1550579457727,
"currency": "BTC",
"direction": "payment",
"id": 2,
"other_side": "2MzyQc5Tkik61kJbEpJV5D5H9VfWHZK9Sgy",
"state": "cancelled",
"type": "user",
"updated_timestamp": 1550579457727
}
}private/submit_transfer_to_user
Transfer funds to another user. This method allows you to send funds from your main account to another Deribit userβs account. The transfer is processed internally and does not require blockchain transactions.
π Related Article: Managing Transfers
Scope: wallet:read_write and mainaccount
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Amount of funds to be transferred
Destination wallet's address taken from address book
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Id of transfer
12
The timestamp (milliseconds since the Unix epoch)
1536569522277
Type of transfer: user - sent to user, subaccount - sent to subaccount
user, subaccount Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Amount of funds in given currency
1
For transfer from/to subaccount returns this subaccount name, for transfer to other account returns address, for transfer from other account returns that accounts username.
"Smith"
Transfer state, allowed values : prepared, confirmed, cancelled, waiting_for_admin, insufficient_funds, withdrawal_limit otherwise rejection reason
The timestamp (milliseconds since the Unix epoch)
1536569522277
Transfer direction
payment, income Optional idempotency nonce if provided in the request
The id that was sent in the request
Was this page helpful?